Bug 1020992 - "fence_virt -H node -o status" does not report status visually
Summary: "fence_virt -H node -o status" does not report status visually
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-virt
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Filip Skola
URL:
Whiteboard:
Depends On:
Blocks: 1164927
TreeView+ depends on / blocked
 
Reported: 2013-10-18 17:01 UTC by michal novacek
Modified: 2016-05-05 04:40 UTC (History)
10 users (show)

Fixed In Version: fence-virt-0.2.3-19.el6
Doc Type: Enhancement
Doc Text:
When the fence-virt and fence-xvm utilities are invoked with the "-o status" parameter, they now print their status in a more comprehensible manner, as either "Status: ON" or "Status: OFF".
Clone Of:
Environment:
Last Closed: 2015-07-22 07:32:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1401 normal SHIPPED_LIVE fence-virt bug fix and enhancement update 2015-07-20 18:07:19 UTC

Description michal novacek 2013-10-18 17:01:06 UTC
Description of problem:

1/ "fence_virt -D /dev/ttyS1 -H node -o status" will not state what the status
of the node. It returns zero when the status is on and two when the status is
other (off). It would be quite useful if this would be said visually maybe the
same way as with "-o list" (and maybe make it optional not to do that).

2/ "fence_virt -D /dev/ttyS1 -o list" does not show nodes that are offline and
it would be really nice to see them as well or at least make it optional.

Version-Release number of selected component (if applicable):
fence-virt-0.2.3-15.el6.x86_64

Comment 8 errata-xmlrpc 2015-07-22 07:32:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1401.html


Note You need to log in before you can comment on or make changes to this bug.